"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function patchCommander(commander) {
    commander.Command.prototype.forwardSubcommands = function () {
        const self = this;
        const listener = (args, unknown) => {
            // Parse any so-far unknown options
            args = args || [];
            unknown = unknown || [];
            const parsed = self.parseOptions(unknown);
            if (parsed.args.length) {
                args = parsed.args.concat(args);
            }
            unknown = parsed.unknown;
            // Output help if necessary
            if (args.length === 0 && (unknown.includes('--help') || unknown.includes('-h') || unknown.length === 0)) {
                self.outputHelp();
                process.exit(0);
            }
            self.parseArgs(args, unknown);
        };
        if (this._args.length > 0) {
            // tslint:disable-next-line:no-console
            console.error('forwardSubcommands cannot be applied to command with explicit args');
        }
        const parent = this.parent || this;
        const name = parent === this ? '*' : this._name;
        parent.on('command:' + name, listener);
        if (this._alias) {
            parent.on('command:' + this._alias, listener);
        }
        return this;
    };
}
exports.patchCommander = patchCommander;
//# sourceMappingURL=patchCommander.js.map